Kerbal Space Program - Bug #5413

"Supreme <Insert Celstial Body> <X> Journey" Contract Reset
09/15/2015 03:53 AM - bv1

Status: Needs Clarification Start date: 09/15/2015
Severity: Normal % Done: 0%
Assignee:
Category:
Target version:
Version: 1.04 Language: English (US)
Platform: Any Mod Related: No

Expansion:

Description

The Supreme Journey contract, in this case "Supreme Gilly 4 Journey" resets itself if the entire craft is not returned to Kerbin, or if
any part is destroyed upon re-entry.

Steps to Replicate:

1) Embark on "Supreme Journey"-type contract

2) Land on all required celestial bodies with a craft which includes a lander module and a return module
3a) Separate the landing stage and land the return module on Kerbin OR

3b) Attempt to land both modules at once, but allow any single part to explode during re-entry

Expected: So long as the lander and re-entry modules are launched together as a single craft, you should be able to return with a
separate landing stage and have it count. Otherwise, the Apollo program would have apparently not landed on the Moon according to
this KSP contract criteria.

Result/Observed: Once the landing requirements are met, the entire craft as of that point must be returned to the surface of Kerbin
without any single part exploding or moving too far from each other.

Fixes/Workarounds: Using the Alt+12 Cheat menu, land the entire craft by disabling maximum temperature and crash damage.

Notes: | had been using a few mods, but the bug still occurs when the mods are removed

History

#1 - 09/15/2015 04:08 AM - bv1
- File Challenge 1 CM Launcher.craft added
- File Challenge 1 Lander Launcher.craft added

| should add that | built the vessel in Kerbin Orbit using two launches. Here are the craft files for the two launches.

#2 - 09/29/2015 06:47 PM - ToneStack

- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirmed for Mac OS X with one additional concern;

Even using the workaround cheat menu options.

When | land on kerbin by splashing down into the water, then ship still has some parts that break apart/disconnect and the contract resets.

#3 - 10/02/2015 05:33 AM - bv1

Does anyone know whether Supreme Gilly 4 Journey is the only contract of this type, or are there multiple?

#4 - 07/17/2016 09:39 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0
Files

About to Reenter.sfs

Challenger1 Coming Home.sfs
screenshot110.png
screenshot112.png

DxDiag.txt

Challenge1 Final Reunion.sfs
Challenge 1 CM Launcher.craft
Challenge 1 Lander Launcher.craft
